summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2016-08-10 08:15:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-10 08:15:02 +0700
commit159e7d50f3a02d76c66b7f84950f3356286645cd (patch)
tree8f585896f868a6bae4cd3bea8b212232f64134e7 /graphics
parent28ec78c3ee77d3dd91eb7907dbb3e1ea75756a99 (diff)
downloadslackbuilds-159e7d50f3a02d76c66b7f84950f3356286645cd.tar.gz
slackbuilds-159e7d50f3a02d76c66b7f84950f3356286645cd.tar.xz
graphics/mapcrafter: Added (Minecraft map renderer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/mapcrafter/README3
-rw-r--r--graphics/mapcrafter/mapcrafter.SlackBuild97
-rw-r--r--graphics/mapcrafter/mapcrafter.info10
-rw-r--r--graphics/mapcrafter/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/graphics/mapcrafter/README b/graphics/mapcrafter/README
new file mode 100644
index 0000000000..239cfc32fa
--- /dev/null
+++ b/graphics/mapcrafter/README
@@ -0,0 +1,3 @@
+Mapcrafter is a high performance Minecraft map renderer written
+in C++ which renders your Minecraft worlds to fancy maps viewable
+in any webbrowser.
diff --git a/graphics/mapcrafter/mapcrafter.SlackBuild b/graphics/mapcrafter/mapcrafter.SlackBuild
new file mode 100644
index 0000000000..25ebaee477
--- /dev/null
+++ b/graphics/mapcrafter/mapcrafter.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for "mapcrafter".
+
+# Copyright 2016 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mapcrafter
+VERSION=${VERSION:-2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-v.$VERSION
+tar xvf $CWD/v.$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-v.$VERSION.tar.gz
+cd $PRGNAM-v.$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+if [ -n "$LIBDIRSUFFIX" ]; then
+ ( cd $PKG/usr && mv lib lib64 )
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING MCVERSION README.md COPYING VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/mapcrafter/mapcrafter.info b/graphics/mapcrafter/mapcrafter.info
new file mode 100644
index 0000000000..81fc85a911
--- /dev/null
+++ b/graphics/mapcrafter/mapcrafter.info
@@ -0,0 +1,10 @@
+PRGNAM="mapcrafter"
+VERSION="2.3"
+HOMEPAGE="https://mapcrafter.org/"
+DOWNLOAD="https://github.com/mapcrafter/mapcrafter/archive/v.2.3.tar.gz"
+MD5SUM="487c8f9e7ba21725516db04ec2a4ef61"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/graphics/mapcrafter/slack-desc b/graphics/mapcrafter/slack-desc
new file mode 100644
index 0000000000..a65d71af16
--- /dev/null
+++ b/graphics/mapcrafter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mapcrafter: mapcrafter (High performance Minecraft map renderer)
+mapcrafter:
+mapcrafter: Mapcrafter is a high performance Minecraft map renderer written
+mapcrafter: in C++ which renders your Minecraft worlds to fancy maps viewable
+mapcrafter: in any webbrowser.
+mapcrafter:
+mapcrafter: Homepage: https://mapcrafter.org/
+mapcrafter:
+mapcrafter:
+mapcrafter:
+mapcrafter: